
/**
 * （首页新闻推荐条数改为新老用户的枚举）
 *
 * @author lxc
 * @date 2020/12/09 15:35
 **/
package com.yh.saas.plugin.news.enums;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * DefaultNewsEnums class
 *
 * @author lxc
 * @date 2020/12/47
 * 是否发布状态枚举
 */
public enum DefaultNewsEnums {

    // 是否发布 0 为老用户 新闻在老用户首页显示
    DEFAULT_NEWS_TYPE_0("0", "老用户"),
    // 是否发布 1 为新用户 新闻在新注册用户首页显示
    DEFAULT_NEWS_TYPE_1("1", "新用户");

    @Getter
    @Setter
    private String code;

    @Getter
    @Setter
    private String value;


    private static final Map<String, DefaultNewsEnums> CODE_MAP = new HashMap<>();

    static {
        for (DefaultNewsEnums newsExceptionEnums : values()) {
            CODE_MAP.put(newsExceptionEnums.getCode(), newsExceptionEnums);
        }
    }

    DefaultNewsEnums(String code, String value) {
        this.code = code;
        this.value = value;
    }


    public static DefaultNewsEnums fromCode(String code) {
        return CODE_MAP.get(code);
    }


}
